#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_CALL
from bu4.parsing.constructs.parsed import Parsed
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsing_call import parsing_call
from bu4.transform.states.transformstate import TransformState

__all__ = ('XCall',)


class XCall(Extension[Parsed], code=CODE_CALL):
    def apply(self) -> TransformState[Parsed]:
        return parsing_call(self.parser)
